repo/gentoo:master commit in: media-libs/vips/

"Ionen Wolkens" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786044834.95f2cbec852b56d051ebf4b88ac76157e9211791.ionen@gentoo>
commit:     95f2cbec852b56d051ebf4b88ac76157e9211791
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 19:15:02 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 19:33:54 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95f2cbec

media-libs/vips: add 8.18.5

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-libs/vips/Manifest           |   1 +
 media-libs/vips/vips-8.18.5.ebuild | 165 +++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+)

diff --git a/media-libs/vips/Manifest b/media-libs/vips/Manifest
index 137a6087f452..45a4e0f2b9ec 100644
--- a/media-libs/vips/Manifest
+++ b/media-libs/vips/Manifest
@@ -1 +1,2 @@
 DIST vips-8.18.3.tar.xz 25422084 BLAKE2B 878640ce65ccdbda2b0979ee915968cb961bff681a6835dc1f55effd33eb5bc0f47d32adb2b24ffa77581f9e192308e9f9e9310fadc12eea320ed27aa13da298 SHA512 02090b6d7ff277d553f8576a6238194dd42339d055e274c2229861f13a4703469a36575c58fd4ef4f3f603bb466313b5e8b55fc011d46e8a210d297797715eb0
+DIST vips-8.18.5.tar.xz 25388332 BLAKE2B 60ec0ed4ab9fc520e52f72915049e278d83bb246c7483babba55366a4f80a4e812074dc4d769bae7b153be2a3b4715e2c08d7dcec40668daf61dd52cd14aa073 SHA512 0351887a74f530a8c1f46093e305cff245bd90473f3016e83de550d102f3631da3d2351d055f9ade8b440e636c4aa20b42ed0bc9eec952a440ef668d2ecdd45d

diff --git a/media-libs/vips/vips-8.18.5.ebuild b/media-libs/vips/vips-8.18.5.ebuild
new file mode 100644
index 000000000000..6eeb51bf44f0
--- /dev/null
+++ b/media-libs/vips/vips-8.18.5.ebuild
@@ -0,0 +1,165 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+inherit flag-o-matic meson python-any-r1 toolchain-funcs vala
+
+DESCRIPTION="VIPS Image Processing Library"
+HOMEPAGE="https://libvips.github.io/libvips/"
+SRC_URI="https://github.com/libvips/libvips/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+ MIT"
+SLOT="0/42" # soname
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="
+	archive deprecated doc exif fftw fits fontconfig graphicsmagick
+	heif +highway imagemagick imagequant +introspection +jpeg jpeg2k
+	jpegxl lcms matio openexr orc pango pdf +png raw svg test tiff
+	vala webp
+"
+REQUIRED_USE="
+	doc? ( introspection )
+	fontconfig? ( pango )
+	graphicsmagick? ( imagemagick )
+	test? ( jpeg png webp )
+	vala? ( introspection )
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/expat
+	virtual/libintl
+	archive? ( app-arch/libarchive:= )
+	exif? ( media-libs/libexif )
+	fftw? ( sci-libs/fftw:3.0= )
+	fits? ( sci-libs/cfitsio:= )
+	fontconfig? ( media-libs/fontconfig )
+	heif? ( media-libs/libheif:= )
+	highway? ( >=dev-cpp/highway-1.0.5 )
+	!highway? (
+		orc? ( dev-lang/orc )
+	)
+	imagemagick? (
+		graphicsmagick? ( media-gfx/graphicsmagick:= )
+		!graphicsmagick? ( media-gfx/imagemagick:= )
+	)
+	imagequant? ( media-gfx/libimagequant )
+	introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2 )
+	jpeg? ( media-libs/libjpeg-turbo:= )
+	jpeg2k? ( media-libs/openjpeg:= )
+	jpegxl? ( media-libs/libjxl:= )
+	lcms? ( media-libs/lcms:2 )
+	matio? ( sci-libs/matio:= )
+	openexr? ( media-libs/openexr:= )
+	pango? (
+		x11-libs/cairo
+		x11-libs/pango
+	)
+	pdf? (
+		app-text/poppler[cairo]
+		x11-libs/cairo
+	)
+	png? ( media-libs/libpng:= )
+	raw? ( media-libs/libraw:= )
+	svg? (
+		gnome-base/librsvg:2
+		virtual/zlib:=
+		x11-libs/cairo
+	)
+	tiff? ( media-libs/tiff:= )
+	webp? ( media-libs/libwebp:= )
+"
+DEPEND="
+	${RDEPEND}
+	pango? ( x11-base/xorg-proto )
+	pdf? ( x11-base/xorg-proto )
+	svg? ( x11-base/xorg-proto )
+	test? (
+		tiff? ( media-libs/tiff[jpeg] )
+	)
+"
+BDEPEND="
+	dev-util/glib-utils
+	sys-devel/gettext
+	doc? (
+		${PYTHON_DEPS}
+		app-text/doxygen
+		dev-util/gi-docgen
+		media-gfx/graphviz
+	)
+	vala? ( $(vala_depend) )
+"
+
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	use vala && vala_setup
+
+	sed -i "/subdir('fuzz')/d" meson.build || die
+}
+
+src_configure() {
+	# workaround for segfault issue in LLVM lto (bug #921728)
+	tc-is-clang && filter-lto
+
+	local emesonargs=(
+		$(meson_use deprecated)
+		$(meson_use doc cpp-docs)
+		$(meson_use doc docs)
+		-Dexamples=false
+		$(meson_use vala vapi)
+		-Dcgif=disabled # not packaged, and not used to view gif (only saving)
+		$(meson_feature archive)
+		$(meson_feature exif)
+		$(meson_feature fftw)
+		$(meson_feature fits cfitsio)
+		$(meson_feature fontconfig)
+		$(meson_feature heif)
+		$(meson_feature highway)
+		$(meson_feature imagemagick magick)
+		-Dmagick-package=$(usex graphicsmagick GraphicsMagick MagickCore)
+		$(meson_feature imagequant)
+		$(meson_feature introspection)
+		$(meson_feature jpeg)
+		$(meson_feature jpeg2k openjpeg)
+		$(meson_feature jpegxl jpeg-xl)
+		$(meson_feature lcms)
+		$(meson_feature matio)
+		-Dnifti=disabled # not packaged
+		$(meson_feature openexr)
+		-Dopenslide=disabled # not packaged
+		$(meson_feature orc) # no-op if USE=highway is set
+		$(meson_feature pango pangocairo)
+		-Dpdfium=disabled # not packaged, can use poppler instead
+		$(meson_feature png)
+		$(meson_feature pdf poppler)
+		-Dquantizr=disabled # not packaged, can use imagequant instead
+		$(meson_feature raw)
+		-Dspng=disabled # not packaged, and libpng is preferred
+		$(meson_feature svg rsvg)
+		$(meson_feature tiff)
+		-Duhdr=disabled # not packaged
+		$(meson_feature webp)
+		$(meson_feature svg zlib) # zlib is currently only used by svgload.c
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	if use doc; then
+		mkdir -p "${ED}"/usr/share/doc/${PF}/html || die
+		mv -- "${ED}"/usr/share/doc/{vips,${PF}/html/vips} || die
+		mv -- "${ED}"/usr/share/doc/{vips-cpp/html,${PF}/html/vips-cpp} || die
+		rmdir -- "${ED}"/usr/share/doc/vips-cpp || die
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.